Members
Sign a member proposal
[Admin Only] Submits a signature for a member proposal. Admins can sign to approve or reject. Only admin API members can make requests to this endpoint.
POST
cURL
Documentation Index
Fetch the complete documentation index at: https://docs.mls.onchainden.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication. Include your API key in the Authorization header.
Headers
Idempotency key for safely retrying mutation requests.
Path Parameters
Proposal ID
Body
application/json
Response
Member proposal signed
- Members Create
- Members Update
- Members Remove
Example:
{
"id": "prop_mem_create_123",
"resourceType": "members",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury Bot",
"walletAddress": "0xabc..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "member",
"id": "mem_new1",
"uri": "/api/v1/members/mem_new1"
}
]
}
}cURL